/**************************************************************************
*  Endress + Hauser Wetzer GmbH + Co KG
*
* Project-Name:        TMT122 - HART Fieldtransmitter
* File-Name:           TMT122_main_0202.DDL
*
* $Revision: 1.8 $
* $Date::              August 2011
*
* Original Author:     Annemarie Kaysser                    
*
**************************************************************************/

#ifndef ENDRESS_HAUSER
	#define ENDRESS_HAUSER 0x11
#endif

#ifndef _TMT122
	#define _TMT122 0xC9
#endif

MANUFACTURER ENDRESS_HAUSER,
DEVICE_TYPE _TMT122,
DEVICE_REVISION 2,
DD_REVISION 3

/*************************************************************************
* Identification
*************************************************************************/

#define DEV_NAME			"iTEMP TMT122/112"
#define DEV_TYPE			0xC8
#define COMPANY_IDENT_CODE  17
#define COMPANY_IDENT_NAME  [Endress_and_Hauser]
#define DEVICE_MANUAL_FILENAME "BA139R.pdf"

/*************************************************************************
* includes
*************************************************************************/

#include "Macros.ddl"
#if _PDM_ >= 600
  #include "Methods.h"
#endif  

// special PDM includes
#if _PDM_ < 600  
  #include "SIHASTIDENT01.inc"
  #include "SIHA.inc"
  #include "SI_FileM.inc"
  #include "SI_OptM.inc"
  #include "SI_DevM.inc"
  #include "SI_ViewM.inc"  
  //#include "SI_HlpM.inc"  
  //#include "SI_MainMenu.inc"  
#else
  #include "SIHASTIDENT01_HART5.inc"
#endif

/************************************************************************************/
/*    PDM-Menus																		*/
/************************************************************************************/




// device specific
#include "TMT122_defines_0203.dd"
#include "TMT122_import_0203.dd"
#include "TMT122_Commands_0203.dd"
#include "TMT122_params_0203.dd"
#include "TMT122_methods_online_0203.dd"
#include "TMT122_PDM_offline_menu_0203.dd"

#if _PDM_ < 600
  #include "TMT122_PDM5_online_menu_0203.dd"
#else
  #include "TMT122_PDM_online_menu_0203.dd"
#endif